Package net.md_5.bungee.util

# Class CaseInsensitiveMap<V>

java.lang.Object
it.unimi.dsi.fastutil.objects.AbstractObject2ObjectFunction<K,V>
it.unimi.dsi.fastutil.objects.AbstractObject2ObjectMap<K,V>
it.unimi.dsi.fastutil.objects.Object2ObjectOpenCustomHashMap<String,V>
net.md_5.bungee.util.CaseInsensitiveMap<V>

All Implemented Interfaces:
  `it.unimi.dsi.fastutil.Function<String,V>`, `it.unimi.dsi.fastutil.Hash`, `it.unimi.dsi.fastutil.objects.Object2ObjectFunction<String,V>`, `it.unimi.dsi.fastutil.objects.Object2ObjectMap<String,V>`, `Serializable`, `Cloneable`, `Function<String,V>`, `Map<String,V>`

public class CaseInsensitiveMap<V> extends it.unimi.dsi.fastutil.objects.Object2ObjectOpenCustomHashMap<String,V>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class it.unimi.dsi.fastutil.objects.AbstractObject2ObjectMap

  `it.unimi.dsi.fastutil.objects.AbstractObject2ObjectMap.BasicEntry<K extends Object,V extends Object>, it.unimi.dsi.fastutil.objects.AbstractObject2ObjectMap.BasicEntrySet<K extends Object,V extends Object>`

  ## Nested classes/interfaces inherited from interface it.unimi.dsi.fastutil.Hash

  `it.unimi.dsi.fastutil.Hash.Strategy<K extends Object>`

  ## Nested classes/interfaces inherited from interface it.unimi.dsi.fastutil.objects.Object2ObjectMap

  `it.unimi.dsi.fastutil.objects.Object2ObjectMap.Entry<K extends Object,V extends Object>, it.unimi.dsi.fastutil.objects.Object2ObjectMap.FastEntrySet<K extends Object,V extends Object>`

- ## Field Summary

  ### Fields inherited from class it.unimi.dsi.fastutil.objects.Object2ObjectOpenCustomHashMap

  `containsNullKey, entries, f, key, keys, mask, maxFill, minN, n, size, strategy, value, values`

  ### Fields inherited from class it.unimi.dsi.fastutil.objects.AbstractObject2ObjectFunction

  `defRetValue`

  ### Fields inherited from interface it.unimi.dsi.fastutil.Hash

  `DEFAULT_GROWTH_FACTOR, DEFAULT_INITIAL_SIZE, DEFAULT_LOAD_FACTOR, FAST_LOAD_FACTOR, FREE, OCCUPIED, PRIMES, REMOVED, VERY_FAST_LOAD_FACTOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CaseInsensitiveMap()`
  `CaseInsensitiveMap(Map<? extends String,? extends V> map)`

- ## Method Summary

  ### Methods inherited from class it.unimi.dsi.fastutil.objects.Object2ObjectOpenCustomHashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, ensureCapacity, get, getOrDefault, hashCode, isEmpty, keySet, merge, object2ObjectEntrySet, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, shiftKeys, size, strategy, trim, trim, values`

  ### Methods inherited from class it.unimi.dsi.fastutil.objects.AbstractObject2ObjectMap

  `equals, toString`

  ### Methods inherited from class it.unimi.dsi.fastutil.objects.AbstractObject2ObjectFunction

  `defaultReturnValue, defaultReturnValue`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface it.unimi.dsi.fastutil.Function

  `apply`

  ### Methods inherited from interface java.util.function.Function

  `andThen, compose`

  ### Methods inherited from interface java.util.Map

  `computeIfAbsent, replaceAll`

  ### Methods inherited from interface it.unimi.dsi.fastutil.objects.Object2ObjectFunction

  `andThenByte, andThenChar, andThenDouble, andThenFloat, andThenInt, andThenLong, andThenObject, andThenReference, andThenShort, composeByte, composeChar, composeDouble, composeFloat, composeInt, composeLong, composeObject, composeReference, composeShort`

  ### Methods inherited from interface it.unimi.dsi.fastutil.objects.Object2ObjectMap

  `computeObjectIfAbsentPartial, defaultReturnValue, defaultReturnValue, entrySet, forEach`

- ## Constructor Details

  - ### CaseInsensitiveMap

    public CaseInsensitiveMap()

  - ### CaseInsensitiveMap

    public CaseInsensitiveMap(Map<? extends String,? extends V> map)